Package org.silverpeas.components.resourcesmanager.model

# Class ResourceValidatorPk

java.lang.Object
org.silverpeas.components.resourcesmanager.model.ResourceValidatorPk

All Implemented Interfaces:
  `Serializable`, `Comparable<org.silverpeas.core.persistence.datasource.model.EntityIdentifier>`, `org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier`, `org.silverpeas.core.persistence.datasource.model.EntityIdentifier`, `org.silverpeas.core.persistence.datasource.model.ExternalEntityIdentifier`, `org.silverpeas.core.ResourceIdentifier`

@Embeddable public class ResourceValidatorPk extends Object implements org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

Author:
  ehugonnet
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RV_MANAGER_POSITION`
  `static final int`
  `RV_RESOURCE_POSITION`

  ### Fields inherited from interface org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

  `COMPOSITE_SEPARATOR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceValidatorPk()`
  `ResourceValidatorPk(long resourceId, long managerId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asString()`
  `boolean`
  `equals(Object obj)`
  `ResourceValidatorPk`
  `fromString(String... values)`
  `long`
  `getManagerId()`
  `long`
  `getResourceId()`
  `int`
  `hashCode()`
  `boolean`
  `isNull()`
  `void`
  `setManagerId(long managerId)`
  `void`
  `setResourceId(long resourceId)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier

  `setFromString`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.EntityIdentifier

  `compareTo`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.model.ExternalEntityIdentifier

  `generateNewValue`

- ## Field Details

  - ### RV_RESOURCE_POSITION

    public static final int RV_RESOURCE_POSITION
    See Also:
      - Constant Field Values

  - ### RV_MANAGER_POSITION

    public static final int RV_MANAGER_POSITION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResourceValidatorPk

    public ResourceValidatorPk()

  - ### ResourceValidatorPk

    public ResourceValidatorPk(long resourceId, long managerId)

- ## Method Details

  - ### getManagerId

    public long getManagerId()

  - ### setManagerId

    public void setManagerId(long managerId)

  - ### getResourceId

    public long getResourceId()

  - ### setResourceId

    public void setResourceId(long resourceId)

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### fromString

    public ResourceValidatorPk fromString(String... values)
    Specified by:
      `fromString` in interface `org.silverpeas.core.persistence.datasource.model.CompositeEntityIdentifier`

  - ### asString

    public String asString()
    Specified by:
      `asString` in interface `org.silverpeas.core.ResourceIdentifier`

  - ### isNull

    public boolean isNull()
    Specified by:
      `isNull` in interface `org.silverpeas.core.persistence.datasource.model.EntityIdentifier`